# Keeper Gateway 1.6.0

Keeper Gateway 1.6.0 provides significant performance improvements in connections and sessions in **Docker installations**.

{% hint style="warning" %}
Changes are required to use Keeper Gateway 1.6 as documented below. There are a few known issues with version 1.6 that are outlined in the [troubleshooting](#troubleshooting-known-issues) section.\
\
For any connectivity issues in **Japan (JP), Canada (CA), and Australia (AU)** regions, upgrade your gateway to [Keeper Gateway 1.6.1](/release-notes/enterprise/keeper-gateway/older/keeper-gateway-1.6.1.md)
{% endhint %}

### Improvements

* **Performance Enhancements**: Major performance improvements for session handling, delivering a smoother, faster experience across RDP, SSH, and Remote Browser Isolation protocols.

### Important: Docker Installation Updates

After upgrading to Keeper Gateway 1.6.0, and deploying via Docker, you must update your `Dockerfile-compose.yaml` and `docker-seccomp.json` file:

#### **1. Docker Compose Changes**

The following needs to be adding to the `security_opt` section of `docker-compose.yaml`:

```
apparmor=unconfined
```

The `keeper-gateway` service section in your `docker-compose.yaml` now looks like the following:

```dockercompose
keeper-gateway:
    platform: linux/amd64
    image: keeper/gateway:latest
    shm_size: 2g
    security_opt:
      - seccomp:./docker-seccomp.json
      - apparmor=unconfined
```

#### **2. Update docker-seccomp.json**

The `docker-seccomp.json` file needs to be replaced. Please use the below file:

{% embed url="<https://github.com/Keeper-Security/KeeperPAM/blob/main/gateway/docker-seccomp.json>" %}

Alternatively, you can use the following `curl` command:

{% code overflow="wrap" %}

```bash
curl -O https://raw.githubusercontent.com/Keeper-Security/KeeperPAM/refs/heads/main/gateway/docker-seccomp.json
```

{% endcode %}

***

### Gateway Documentation

For instructions on installing or updating your Keeper Gateway, visit this page:

{% embed url="<https://docs.keeper.io/en/keeperpam/privileged-access-manager/getting-started/gateways>" %}

***

### Troubleshooting / Known Issues

#### Connection errors in CA/JP/AU regions

* We are aware of certain environments causing connection errors in the CA/JP/AU regions. We have identified the issue and we will be publishing an update with version 1.6.1. If you are experiencing an issue, revert to the gateway 1.5.6 image.

#### Windows Install Errors

* When upgrading Windows servers, if you receive any errors during install, please perform a reboot prior to installing the new version. This ensures that all running processes are stopped.

#### Ubuntu Linux with RBI (Remote Browser Isolation)

* Docker running on Ubuntu Linux has a known issue with RBI. We are planning a 1.6.1 release to address this. A temporary fix is running the below command on the Ubuntu host in addition to the above Docker changes

```
echo 0 | sudo tee /proc/sys/kernel/apparmor_restrict_unprivileged_userns
```

#### Performance Upgrades

* Only the Docker version of the Keeper Gateway 1.6 contains major speed improvements. The Windows gateway and Linux binary version will be updated in the next release.

#### Reverting

* If you need to revert your Keeper Gateway version, update your `docker-compose.yml` file to use the `keeper/gateway:1.5.6` image instead of `keeper/gateway:latest`.

#### Creating new gateways

* The web vault and desktop app provide the previous docker-seccomp.json and docker-compose.yml files when creating a new gateway. We are pushing a new vault version 17.3 which provides the updated versions. In the meantime, please follow the [latest documentation](/keeperpam/privileged-access-manager/getting-started/gateways/gateway-with-docker.md) on installing the Docker version.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/release-notes/enterprise/keeper-gateway/older/keeper-gateway-1.6.0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
